<template>
  <div>
    <v-container>
      <v-col cols="12">
        <v-text-field label="product name" v-model="product_name" required></v-text-field>
      </v-col>

      <v-col cols="12">
        <v-text-field label="discriotion" v-model="product_description" required></v-text-field>
      </v-col>
      <v-btn @click="createProduct()">CREATE</v-btn>
    </v-container>
  </div>
</template>

<script>
export default {
  data() {
    return {
      product_name: "",
      product_description: ""
    };
  },
  computed:{
      productlist(){
      return this.$store.state.producModule.productlist
    }
  },
  methods: {
    createProduct() {
      var newProduct = {
        product_name: this.product_name,
        product_description: this.product_description
      };
       this.$store.commit("createProductProductModule", newProduct)
      
    }
  }
};
</script>

<style>
</style>